Skip to main content

List Interact Sessions

Retrieve your standalone Interact sessions, optionally filtered by status.
1 min read
get/interact
Request example
Response
get/interact

Headers#

HeaderValue
AuthorizationBearer <API_KEY>

Query Parameters#

ParameterTypeRequiredDescription
statusstringNoFilter by session status: "active" or "destroyed"

Response#

FieldTypeDescription
successbooleanWhether the request succeeded
sessionsarrayList of session objects

Session Object#

FieldTypeDescription
idstringUnique session identifier
statusstringCurrent session status ("active" or "destroyed")
cdpUrlstringWebSocket URL for CDP connections
liveViewUrlstringURL to watch the session in real time
interactiveLiveViewUrlstringURL to interact with the session in real time (click, type, scroll)
createdAtstringISO 8601 timestamp of session creation
lastActivitystringISO 8601 timestamp of last activity

Example Request#

Example Response#

Are you an AI agent that needs a Firecrawl API key? See firecrawl.dev/agent-onboarding/SKILL.md for automated onboarding instructions.

Authorization

Authorizationstringheaderrequired#
Bearer authentication header of the form Bearer <token>, where <token> is your API key.

Query parameters

statusenum<string>#
Filter sessions by status
Options:activedestroyed

Responses

application/json
List of interact sessions
successboolean#
sessionsobject[]#
Show child attributes
idstring#
statusenum<string>#
Options:activedestroyed
cdpUrlstring#
liveViewUrlstring#
interactiveLiveViewUrlstring#
URL to interact with the interact session in real time (click, type, scroll)
streamWebViewboolean#
createdAtstring#
lastActivitystring#